[SA21807] Fantastic News "CONFIG[script_path]" File Inclusion Vulnerabilities

2006-09-08T00:00:00
ID SECURITYVULNS:DOC:14200
Type securityvulns
Reporter Securityvulns
Modified 2006-09-08T00:00:00

Description

TITLE: Fantastic News "CONFIG[script_path]" File Inclusion Vulnerabilities

SECUNIA ADVISORY ID: SA21807

VERIFY ADVISORY: http://secunia.com/advisories/21807/

CRITICAL: Highly critical

IMPACT: System access

WHERE: >From remote

SOFTWARE: Fantastic News 2.x http://secunia.com/product/6254/

DESCRIPTION: Two vulnerabilities have been discovered in Fantastic News, which can be exploited by malicious people to compromise a vulnerable system.

Input passed to the "CONFIG[script_path]" parameter in archive.php and headlines.php isn't properly verified, before it is used to include files. This can be exploited to include arbitrary files from external and local resources.

Successful exploitation requires that "register_globals" is enabled.

The vulnerabilities have been confirmed in version 2.1.4. Other versions may also be affected.

SOLUTION: Edit the source code to ensure that input is properly verified.

Set "register_globals" to "Off".

PROVIDED AND/OR DISCOVERED BY: Sx02 and anonymous person.

ORIGINAL ADVISORY: http://sx02.coresec.de/advisories/152.txt


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.